Status: Review Start date: 07/17/2024
Priority: High Due date:

Assignee: Ayanava Karmakar % Done: 100%
Category: Estimated time: 0.60 hour
Target version: Spent time: 0.00 hour
Description

Currently, a line with themes support in k-12-support.txt looks as follows:
cbse; 6; mathematics; supported-themes=["Doraemon", "Chotta Bheem", "Shin Chan", "Pokemon", "Power Rangers", "Dragon ball
Z", "Motu Patlu", "Tom and Jerry", "Ninja Hattori", "Oggy and the Cockroaches", "Ben 10", "Kochikame"]

Please change it to:
cbse; 6; mathematics; supported-themes=[[chosen: ["Doraemon", "Chotta Bheem", "Shin Chan", "Pokemon"],[others: ["Power
Rangers", "Dragon ball z", "Motu Patlu", "Tom and Jerry", "Ninja Hattori", "Oggy and the Cockroaches", "Ben 10", "Kochikame"]]

So, by default, when the user starts, the "chosen styles" are assumed to be chosen. If user clicks on 'Choose Your Themes", show
these styles as chosen.

Replace "Welcome to RapidKen! Ready for a question? Please type (y/n)." with "Welcome to RapidKen! Want to learn Math from
your favourite characters? We have chosen <comma separted themes> for you. If you want to change this, please click on the
'Choose Your Themes' button above the chat window.\n\n Ready for a question? Please type (y/n)."

History

#1 - 07/17/2024 11:13 AM - Ayanava Karmakar
- Estimated time set to 0.60 h

#2 - 07/17/2024 12:03 PM - Ram Kordale

- Assignee set to Shubham Boke

#3 - 07/17/2024 12:05 PM - Shubham Boke
- Status changed from New to In Progress

- % Done changed from 0 to 100

#4 - 07/17/2024 12:06 PM - Shubham Boke

- Status changed from In Progress to Resolved

#5 - 07/17/2024 12:06 PM - Shubham Boke
- Status changed from Resolved to Review

- Assignee changed from Shubham Boke to Dewakar Chaubey

#6 - 07/18/2024 07:56 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ayanava Karmakar
